<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />

    <!-- Recommended to ensure the device has at least an accelerometer -->
    <uses-feature android:name="android.hardware.sensor.accelerometer" android:required="true" />

    <!-- Other optional sensors; it is not required to declare these -->
    <uses-feature android:name="android.hardware.sensor.gyroscope" android:required="false" />
    <uses-feature android:name="android.hardware.location" android:required="false" />
    <uses-feature android:name="android.hardware.sensor.barometer" android:required="false" />
    <uses-feature android:name="android.hardware.sensor.compass" android:required="false" />
    <uses-feature android:name="android.hardware.sensor.light" android:required="false" />
    <uses-feature android:name="android.hardware.sensor.proximity" android:required="false" />

    <application
        android:name="ai.numbereight.joggingexample.JoggingExample"
        android:allowBackup="false"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AndroidExampleTheme"
        tools:ignore="GoogleAppIndexingWarning">

        <activity android:name="ai.numbereight.joggingexample.MainActivity"
            android:screenOrientation="portrait" android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name="ai.numbereight.joggingexample.HistoryActivity" />

        <service
            android:name="ai.numbereight.joggingexample.DataHistoryService"
            android:stopWithTask="true" />
    </application>

</manifest>